Bug 1294228 - audit2allow suggest I run "semange" instead of "semanage"
audit2allow suggest I run "semange" instead of "semanage"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 10:35 EST by Daniel
Modified: 2016-02-23 14:21 EST (History)
4 users (show)

See Also:
Fixed In Version: policycoreutils-2.4-20.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 14:21:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel 2015-12-25 10:35:56 EST
Run audit2allow, and it’ll suggest you run the non-existing "semange" command rather than "semanage".

# cat /var/log/audit/autid.log | audit2allow
#============= httpd_t ==============

#!!!! WARNING 'httpd_t' is not allowed to write or create to lib_t.  Change the label to httpd_var_lib_t.
#!!!! $ semange fcontext -a -t httpd_var_lib_t /usr/share/nginx/sites/example.com/data/   
#!!!! $ restorecon -R -v /usr/share/nginx/sites/example.com/data/
allow httpd_t lib_t:file write;
# semange fcontext -a -t httpd_var_lib_t /usr/share/nginx/sites/example.com/data/
-bash: semange: command not found
# semanage fcontext -a -t httpd_var_lib_t /usr/share/nginx/sites/example.com/data/
Comment 3 Fedora Update System 2016-02-21 08:31:16 EST
policycoreutils-2.4-20.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7b86cd38e
Comment 4 Fedora Update System 2016-02-21 23:21:37 EST
policycoreutils-2.4-20.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7b86cd38e
Comment 5 Fedora Update System 2016-02-23 14:21:45 EST
policycoreutils-2.4-20.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.